Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.repository
Class RepositoryFactory

    java.lang.Object
      |
      +--com.bea.wlxt.repository.RepositoryFactory

public class RepositoryFactory
extends java.lang.Object
implements java.io.Serializable

The RepositoryFactory object provides factory methods for obtaining a handle to a Repository object. A default repository may be returned of a custom "plug-in" repository based upon property information.

Since:
  WLXT V2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `propFileName`

Constructor Summary
`RepositoryFactory()`

Method Summary
`static Repository` | `create()` Create a Repository object based upon current properties.
`static Repository` | `create(java.util.Properties prop)` Create a Repository object based upon passed properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propFileName

    public static final java.lang.String propFileName

Constructor Detail

### RepositoryFactory

    public RepositoryFactory()

Method Detail

### create

    public static Repository create()
                             throws RepositoryException

  Create a Repository object based upon current properties. The CLASSPATH is searched for a property file named wlxt-repository.properties. If located the property wlxt.repository.class will define the class implementing the plug-in repository. If the file or the property do not exist a default WLPI repository will be returned. The Properties object will be passed to the constructor of the Repository class to enable repository specific values to be provided to the implementation.

  Returns:
    A Repository object which may be used to access the repository.

### create

    public static Repository create(java.util.Properties prop)
                             throws RepositoryException

  Create a Repository object based upon passed properties. The property wlxt.repository.class will define the class implementing the plug-in repository. If the file or the property do not exist a default WLPI repository will be returned. The Properties object will be passed to the constructor of the Repository class to enable repository specific values to be provided to the implementation.

  Parameters:
    `prop` - The Properties object to search for configuration information.
  Returns:
    A Repository object which may be used to access the repository.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)